##Call up the library##
##This may look scary, but most of it is explainations! Have no fear!!##
library(lavaan)

##Prepare data with the sufficient statisitics##
##First lets explain the preperation coding!##
##This means tell R your means, standard deviations, covariance-variance matrix, and number of observations##
##Here we specify the means, the matrix function allow us to create a matrix in R##
##we labeled this matrix "mymeans" the c(##) allows us to list our numbers in the matrix##
##the last two digits (1,3) let use specify the number of rows and columns in the matrix##
mymeans<-matrix(c(3.06893, 2.92590, 3.11013), 1,3)

##This ould be our standard deviation matrix (vector if only one row/column)##
mysd<-matrix(c(0.84194,0.88934,0.83470), 1,3)

##here we input our 3 by 3 variance-covariance matrix##
mycov<-matrix(c(1, 0.55226, 0.56256,
				0.55226, 1, 0.60307,
				0.56256, 0.60307, 1), 3,3)
##Here we are applying names to the rows and columns of our variance-covariance matrix##
rownames(mycov) <-c( "Glad", "Cheerful", "Happy")
colnames(mycov) <-c( "Glad", "Cheerful", "Happy")

##lastly, we imput our number of obsevations##
mynob<-823				

##Marker vairable method##
##First lets explain the lavaan code!##
##mod1 is used to name our model. Using =~ means 'manifested by', ~~ means 'correlated with'##
##We use ~ for regression and ~1 signifies intercepts##
##By using *NA we specify which loadings to keep free by using *1 we specify marker variable loading to be fixed at 1##
##In the code below we can see that our latent construct 'Positive' is manifested by Glad, Cheerful, and Happy.##
##We used the marker variable method to fix Glad and we used ~~ to specify our variance##
mod1<-'Positive =~ 1*Glad + NA*Cheerful + NA*Happy
		Positive~~Positive
		Glad~~Glad
		Cheerful~~Cheerful
		Happy~~Happy'
##Here we created 'fit1' to see our output. Fit1 is a cfa model (mod1) and we speicfied our data##
fit1<-cfa(mod1, sample.cov=mycov, sample.nobs = mynob, sample.mean=mymeans)
##This summary will show us the loadings, and by adding fit.measures=T we can see various fit indicies like CFI##
summary(fit1, fit.measures=T)