##Call up the library##
library(lavaan)

##Prepare data with sufficient statisitics##
mymeans<-matrix(c(3.06893, 2.92590, 3.11013), 1,3)
mysd<-matrix(c(0.84194,0.88934,0.83470), 1,3)
mycov<-matrix(c(1, 0.55226, 0.56256,
				0.55226, 1, 0.60307,
				0.56256, 0.60307, 1), 3,3)
rownames(mycov) <-c( "Glad", "Cheerful", "Happy")
colnames(mycov) <-c( "Glad", "Cheerful", "Happy")
mynob<-823				

##Marker vairable method - fix third variable##
mod3<-'Positive =~ NA*Glad + NA*Cheerful + 1*Happy
		Positive~~Positive
		Glad~~Glad
		Cheerful~~Cheerful
		Happy~~Happy'
		
##Save output to fit3##		
fit3<-cfa(mod3, sample.cov=mycov, sample.nobs = mynob, sample.mean=mymeans)

##Request for summary of output##
summary(fit3, fit.measures=T)