##Call up the library##
library(lavaan)

##Prepare data with sufficient statisitics##
mymeans<-matrix(c(3.06893, 2.92590, 3.11013), 1,3)
mysd<-matrix(c(0.84194,0.88934,0.83470), 1,3)
mycov<-matrix(c(1, 0.55226, 0.56256,
				0.55226, 1, 0.60307,
				0.56256, 0.60307, 1), 3,3)
rownames(mycov) <-c( "Glad", "Cheerful", "Happy")
colnames(mycov) <-c( "Glad", "Cheerful", "Happy")
mynob<-823				

##Fixed Factor method - fix latent variance (also see next step)##
mod1<-'Positive =~ NA*Glad + NA*Cheerful + NA*Happy
		Positive~~Positive
		Glad~~Glad
		Cheerful~~Cheerful
		Happy~~Happy'

##std.lv=T will fix latent variances to 1##
fit1<-cfa(mod1, sample.cov=mycov, sample.nobs = mynob, sample.mean=mymeans, std.lv=T)

##Request for summary of output##
summary(fit1, fit.measures=T)