##Call up the library##
library(lavaan)

##Prepare data with sufficient statisitics##
mymeans<-matrix(c(3.06893, 2.92590, 3.11013), 1,3)
mysd<-matrix(c(0.84194,0.88934,0.83470), 1,3)
mycov<-matrix(c(1, 0.55226, 0.56256,
				0.55226, 1, 0.60307,
				0.56256, 0.60307, 1), 3,3)
rownames(mycov) <-c( "Glad", "Cheerful", "Happy")
colnames(mycov) <-c( "Glad", "Cheerful", "Happy")
mynob<-823				

##Effects coding, for 1 latent variable ##
mod1 <- 'Positive =~ L1*Glad + L2*Cheerful + L3*Happy
         Positive~~Positive
         Glad~~Glad
		     Cheerful~~Cheerful
		     Happy~~Happy
			 L1 == 3 - L2 - L3'
##Average factor loading of an indicator is 1 (so here total=3)##

##Save output to fit1##
fit1 <- lavaan(mod1, sample.cov=mycov, sample.nobs = mynob, std.lv=F, auto.fix.first=F)

##Request for summary of output##
summary(fit1, standardized=T, fit.measures=T)
