##Call up the library##
library(lavaan)

##Prepare data with sufficient statisitics##
mymeans<-matrix(c(3.06893, 2.92590, 3.11013), ncol=3,nrow=1)
mysd<-c(0.84194,0.88934,0.83470)
mycov<-matrix(c(1, 0.55226, 0.56256,
                0.55226, 1, 0.60307,
                0.56256, 0.60307, 1), 3,3)

##Transform correlation matrix to covariance matrix using information above##
myvarcov <- outer(mysd, mysd, FUN="*")
mycov <- mycov * myvarcov

rownames(mycov) <-c( "Glad", "Cheerful", "Happy")
colnames(mycov) <-c( "Glad", "Cheerful", "Happy")
mynob<-823

##Equating indicator loadings##
mod1<-'Positive =~ L1*Glad + L2*Happy
Positive~~Positive
Glad~~Glad
Happy~~Happy
L1 == L2'

##std.lv=T will fix latent variances to 1##
fit1<-cfa(mod1, sample.cov=mycov, sample.nobs = mynob, sample.mean=mymeans, std.lv=T)

##Request for summary of output##
summary(fit1, fit.measures=T)