##Call up the library##
library(lavaan)

##Prepare data with sufficient statisitics##
mymeans<-matrix(c(3.06893, 2.92590, 3.11013), ncol=3,nrow=1)
mysd<-c(0.84194,0.88934,0.83470)
mycov<-matrix(c(1, 0.55226, 0.56256,
                0.55226, 1, 0.60307,
                0.56256, 0.60307, 1), 3,3)

##Transform correlation matrix to covariance matrix using information above##
myvarcov <- outer(mysd, mysd, FUN="*")
mycov <- mycov * myvarcov

rownames(mycov) <-c( "Glad", "Cheerful", "Happy")
colnames(mycov) <-c( "Glad", "Cheerful", "Happy")
mynob<-823				

##Average factor loading of an indicator is set to be 1 (so here L1+L2+L3=3)##
##Average intercept of an indicator is set to be 0 (so here t1+t2+t3=0)##
##Intercept of the latent factor is also estimated##
mod1<-'Positive =~ L1*Glad + L2*Cheerful + L3*Happy
Positive~~Positive
Glad~~Glad
Cheerful~~Cheerful
Happy~~Happy

Glad ~ t1*(1)
Cheerful ~ t2*(1)
Happy ~ t3*(1)

Positive ~ 1

L1 == 3 - L2 - L3
t1 == 0 - t2 - t3'

fit1<-lavaan(mod1, sample.cov=mycov, sample.nobs = mynob, sample.mean=mymeans, meanstructure=T,
             std.lv=F,auto.fix.first=F)
summary(fit1, fit.measures=T, standardized=T)